Subject: bug#62653: closed (Re: [bug#62653] [PATCH] gnu: emacs-eat: Patch ncurses tic executable.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Apr 2023 20:19:02 +0000

Your bug report

#62653: [PATCH] gnu: emacs-eat: Patch ncurses tic executable.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62653: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62653
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#62653] [PATCH] gnu: emacs-eat: Patch ncurses tic executable.
From: Nicolas Goaziou <[email-masked]>
To: jgart via Guix-patches via <[email-masked]>
Cc: [email-masked], jgart <[email-masked]>
Date: Tue, 04 Apr 2023 22:18:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

jgart via Guix-patches via <[email-masked]> writes:

> * gnu/packages/emacs-xyz.scm (arguments): Patch tic executable.
> ---
>
> Reading the code now I found that there's a function that makes a call
> to tic from the ncurses package so I patched it.

Good catch!

I also moved ncurses into inputs, otherwise the executable could
be GC'ed at some point.

Applied. Thank you.

Regards,
-- 
Nicolas Goaziou

Subject: [PATCH] gnu: emacs-eat: Patch ncurses tic executable.
From: jgart <[email-masked]>
To: [email-masked]
Cc: jgart <[email-masked]>, Nicolas Goaziou <[email-masked]>
Date: Mon, 3 Apr 2023 14:49:24 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/emacs-xyz.scm (arguments): Patch tic executable.
---

Reading the code now I found that there's a function that makes a call
to tic from the ncurses package so I patched it.

all best,

jgart

 gnu/packages/emacs-xyz.scm | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index b4edc680ba..9db8a07331 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -27981,7 +27981,14 @@ (define-public emacs-eat
               (invoke "make" "info")))
           (add-before 'install 'build-terminfo-database
             (lambda _
-              (invoke "make" "terminfo"))))))
+              (invoke "make" "terminfo")))
+          (add-before 'install 'patch-ncurses-tic-executable
+            (lambda* (#:key inputs #:allow-other-keys)
+              (substitute*
+                "eat.el"
+                (("\"tic")
+                 (string-append "\""
+                                (search-input-file inputs "/bin/tic")))))))))
     (native-inputs
      (list ncurses texinfo))
     (home-page "https://codeberg.org/akib/emacs-eat")
-- 
2.39.2